Bug 192816 - [maintainer] update sysutils/procenv to version 0.36
Summary: [maintainer] update sysutils/procenv to version 0.36
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-18 19:20 UTC by jamesodhunt
Modified: 2014-08-24 13:55 UTC (History)
2 users (show)

See Also:


Attachments
sysutils/procenv patch to update port to version 0.36 (1.12 KB, patch)
2014-08-18 19:20 UTC, jamesodhunt
no flags Details | Diff
Drop FETCH_ARGS (1001 bytes, patch)
2014-08-18 19:52 UTC, jamesodhunt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jamesodhunt 2014-08-18 19:20:52 UTC
Created attachment 146001 [details]
sysutils/procenv patch to update port to version 0.36
Comment 1 John Marino freebsd_committer 2014-08-18 19:37:17 UTC
Why are you explicitly defining FETCH_ARGS to the same value as the default value?
Comment 2 jamesodhunt 2014-08-18 19:52:23 UTC
Created attachment 146004 [details]
Drop FETCH_ARGS

The 'make fetch' behaviour seemed different without this being defined. However, here is an updated patch...
Comment 3 John Marino freebsd_committer 2014-08-18 20:03:24 UTC
what does "cd /usr/ports/sutils/procenv; make -V FETCH_ARGS" show?

It should show the default.  If not, you might have it changed in make.conf or something.
Comment 4 jamesodhunt 2014-08-18 20:10:22 UTC
It shows '-AFpr' which is different to what I had specified. I seem to remember having to remove the '-A' / '--no-redirect' at some point for local testing.

My /etc/make.conf only contains:

DEVELOPER=yes
Comment 5 John Marino freebsd_committer 2014-08-18 20:25:53 UTC
Something is not up to date with your ports tree.  It hasn't been that value in several months.

grep FETCH_ARGS on /usr/ports/Mk/bsd.port.mk.  It should default to -Fpr
Comment 6 John Marino freebsd_committer 2014-08-18 21:14:43 UTC
while you investigate that, I'll move this to patch-ready group since you fixed the patch.
Comment 7 jamesodhunt 2014-08-19 08:48:27 UTC
Thanks John - as you suspected my ports tree was not up-to-date. I've now refreshed it, the FETCH_ARGS are now correct and the latest patch wfm.
Comment 8 commit-hook freebsd_committer 2014-08-24 13:55:50 UTC
A commit references this bug:

Author: wg
Date: Sun Aug 24 13:54:55 UTC 2014
New revision: 365924
URL: http://svnweb.freebsd.org/changeset/ports/365924

Log:
  sysutils/procenv: update to 0.36

  PR:		192816
  Submitted by:	maintainer

Changes:
  head/sysutils/procenv/Makefile
  head/sysutils/procenv/distinfo